Ionic old app new plugins

Hello guys
I’m new to Ionic and I’m working as a trainee in mobile development, I’m stuck in an issue regarding an app developed in Cordova and Ionic 2, the project app is functional but it was not updated to new versions. I need to implement a new feature in the app that requires a Capacitor plugin, I tried to install and I got error with the definitions of the plugin. Have you guys faced this type of issue? If you do, how did you solve it?
Thank you in advance.